internetLan Educación (Especial) y TICs. Por supuesto, también la respuesta a mis dudas sobre linux, programas, etc.

Actualizar a wordpress: mi pequeño manual

Después de leer innumerables post sobre cómo actualizar wordpress, he realizado un breve resumen obtenido de aquí y allá.

Para realizar la actualización a wordpress (actual versión 2.7) es conveniente seguir los siguientes pasos, antes del cambio:

1. Comprobar la compatibilidad del hosting porque existe la posibilidad de que no admita esta versión. Chequear aguí: WordPress 2.7 Core Update Host Compatibility.
2. Actualizar todos los plugins a la ultima versión.
3. Comprobar la compatibilidad de plugins y themes con WordPress 2.7: WordPress 2.7 Plugin Compatibility y WordPress 2.7 Theme Compatibility.
Algunos plugins habrá que actualizarlos, como en el caso de WP-Print, y para otros habrá que desactivarlos hasta que exista una versión compatible.

Actualización

Para llevar a cabo la actualización, descargar el paquete de instalación y seguir las instrucciones habituales:

  1. Realizar un backup de la base de datos. Esto es fundamental. Lo repito: haz una copia de seguridad.
  2. Desactivar todos los plugins.
  3. Borrar el directorio “/wp-admin/”.
  4. Borrar el directorio “/wp-includes/”, excepto si utilizas alguna traducción. Entonces no borres el subdirectorio y contenido de “/wp-includes/languages/”.
  5. Borrar todos los ficheros del directorio donde está instalado WP, excepto “wp-config.php” e index.php ni cualquier otro que se haya añadido tras la instalación: favicon.ico, sitemaps, robots.txt, .htaccess, etc.
  6. Descargar y descomprimir la nueva versión (en este caso 2.7).
  7. Subir al servidor los nuevos directorios “/wp-admin/” y “/wp-includes/”.
  8. Subir los ficheros del directorio raíz, menos “wp-config-sample.php” e “index.php”.
  9. Entrar al panel de administración, pinchando previamente en los enlaces que digan “upgrade” y “continue”.
  10. Activar los plugins uno a uno, dejando desactivados los que no funcionen o aplicar los parches o actualizaciones necesarias.
  11. Por seguridad borrar los ficheros “/wp-admin/upgrade.php” y “/wp-admin/install.php”.

Consejos que dan los expertos son:

  • Instalar primero la versión en inglés.
  • No utilizar la opción de actualización automática. En mi caso, mi hosting ni siquiera me lo permite o yo no lo consigo.

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.

Si continuas utilizando este sitio aceptas el uso de cookies. más información

Los ajustes de cookies de esta web están configurados para "permitir cookies" y así ofrecerte la mejor experiencia de navegación posible. Si sigues utilizando esta web sin cambiar tus ajustes de cookies o haces clic en "Aceptar" estarás dando tu consentimiento a esto.

Cerrar